Module ij
Package ij.gui

# Class ColorChooser

java.lang.Object
ij.gui.ColorChooser

All Implemented Interfaces:
  `AdjustmentListener`, `TextListener`, `EventListener`

public class ColorChooser extends Object implements TextListener, AdjustmentListener
Displays a dialog that allows the user to select a color using three sliders.

## Constructor Summary

Constructors
Constructor
Description
`ColorChooser(String title, Color initialColor, boolean useHSB)`
Constructs a ColorChooser using the specified title and initial color.
`ColorChooser(String title, Color initialColor, boolean useHSB, Frame frame)`

## Method Summary

Modifier and Type
Method
Description
`void`
`adjustmentValueChanged(AdjustmentEvent e)`
`Color`
`getColor()`
Displays a color selection dialog and returns the color selected by the user.
`void`
`textValueChanged(TextEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorChooser

public ColorChooser(String title, Color initialColor, boolean useHSB)
Constructs a ColorChooser using the specified title and initial color.

### ColorChooser

public ColorChooser(String title, Color initialColor, boolean useHSB, Frame frame)

## Method Details

### getColor

public Color getColor()
Displays a color selection dialog and returns the color selected by the user.

### textValueChanged

public void textValueChanged(TextEvent e)

Specified by:
  `textValueChanged` in interface `TextListener`

### adjustmentValueChanged

public void adjustmentValueChanged(AdjustmentEvent e)

Specified by:
  `adjustmentValueChanged` in interface `AdjustmentListener`